/***********************************/
/* NosDAC: Module to support       */
/* Serial 16-bit Non-oversampling  */
/* digital audio DAC               */
/* using SPI and TIMER2 module     */
/* of ATmega168                    */
/*                                 */
/* 2009/6/26 created by PCM1723    */
/***********************************/
//
#include <avr/io.h>
//
#ifndef NosDAC_h
#define NosDAC_h
//
// SPI pin definition
//
#define SS_PIN   (10)
#define MOSI_PIN (11)
#define MISO_PIN (12)
#define SCK_PIN  (13)
#define LRCK_PIN (3)
//
// sample update timing flag
//
extern volatile uint8_t fsflag;
//
// DAC input buffer variable
//
extern volatile int16_t dac_l, dac_r;
//
// Non-oversampling serial input
// 16-bit digital audio DAC setup
//
extern void NosDAC_setup(int8_t DAC_mode);
//
#endif
